### Method

# Gimp ProcedureConfig get_choice_id

since: 3.0

#### Declaration [src]

    gint
    gimp_procedure_config_get_choice_id (
      GimpProcedureConfig* config,
      const gchar* property_name
    )

#### Description [src]

A utility function which will get the current string value of a `GimpParamSpecChoice` property in `config` and convert it to the integer ID mapped to this value. This makes it easy to work with an Enum type locally, within a plug-in code.

Available since: 3.0

#### Parameters

`property_name`

  Type: `const gchar*`

  The name of a `GimpParamSpecChoice` property.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gint`

No description available.